Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.groovy
Class DynaopGroovyNodeBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              org.nanocontainer.script.groovy.GroovyNodeBuilder
                  org.nanocontainer.script.groovy.DynaopGroovyNodeBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class DynaopGroovyNodeBuilder

extends GroovyNodeBuilder

A `GroovyNodeBuilder` that supports scripting of aspects via dynaop.

Version:
  $Revision: 3145 $
Author:
  Stephen Molitor

Field Summary

Fields inherited from class org.nanocontainer.script.groovy.GroovyNodeBuilder
`PERFORM_ATTRIBUTE_VALIDATION, SKIP_ATTRIBUTE_VALIDATION`

Constructor Summary
`DynaopGroovyNodeBuilder()` Creates a new `DynaopGroovyNodeBuilder` that will use the default @{link DynaopAspectsManager} to apply aspects.

Method Summary

Methods inherited from class org.nanocontainer.script.groovy.GroovyNodeBuilder
`createNode, createNode, createNode, createNode, doInvokeMethod, getDecorationDelegate, getNode, setNode, setParent`

Methods inherited from class groovy.util.BuilderSupport
`getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynaopGroovyNodeBuilder

    public DynaopGroovyNodeBuilder()

  Creates a new `DynaopGroovyNodeBuilder` that will use the default @{link DynaopAspectsManager} to apply aspects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.